Skip to content
Imports

Imports of the active organisation, newest first

Scope: importSee also:Authentication ·Errors ·Pagination ·Rate limits
GET
/imports

Any member, or an API key with the import scope (ADR-026). An import staged with a key names the key in created_by_api_key instead of created_by.

Authorization

apiKey
headerAuthorizationBearer <token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Query Parameters

limit?integer

Maximum number of items to return.

Range1 <= value <= 200
Default50
cursor?string

Opaque cursor from a previous page's next_cursor.

Length1 <= length <= 512

Response Body

One page of imports.

application/json
  1. response
items*array<>
next_cursor*|

Cursor for the next page, or null when this is the last page.

Example Request
curl -X GET 'https://example.com/api/v1/imports'
Example Response
{  "items": [    {      "approved_at": "2019-08-24T14:15:22Z",      "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d",      "committed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by": {        "display_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "created_by_api_key": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      },      "filename": "string",      "format": "csv",      "headers": [        "string"      ],      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "mapping": [        {          "auto": true,          "column": 0,          "header": "string",          "target": "string",          "unit": "string"        }      ],      "options": {        "battery_model_id": "6a002912-62a3-4058-99d0-53cbf87e9e1c",        "facility_id": "82d24387-b696-4928-8926-f6f7f16d3353"      },      "preset": "string",      "row_count": 0,      "row_version": 1,      "sample_rows": [        [          "string"        ]      ],      "sheet": "string",      "size_bytes": 0,      "status": "uploaded",      "summary": {        "approved": 0,        "created": 0,        "duplicates": 0,        "errors": 0,        "not_approved": 0,        "rows": 0,        "valid": 0,        "warnings": 0      },      "updated_at": "2019-08-24T14:15:22Z",      "validated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}